Article ID: 112012, created on Aug 22, 2011, last review on Jun 17, 2016

  • Applies to:
  • Operations Automation 5.4
  • Virtuozzo containers for Linux 4.7
  • Virtuozzo containers for Linux 4.6
  • Virtual Automation 4.6

Important notice:

After VA Agent re-installation Virtuozzo containers hardware node will be configured with the new EID, which will break integration with OSA, OBAS and VA. Open a support case with Odin to make necessary adjustments on the remote side.

NOTE: VA 4.6 and Virtuozzo containers for Linux 4.6 are not the latest versions of the software. It is advised to upgrade Virtuozzo containers for Linux 4.6 to Virtuozzo (formerly Parallels Cloud Server) with corresponding VA version.

Upgrading to Virtuozzo guide

VA compatibility information

Information

You may face the following error while installing the VA Agent 4.6.3 onVirtuozzo containers for Linux 4.6 node:

# Installing packages
        > Performing PVA 4.6 preupgrade configuration
[ERROR] Failed to execute hint /var/opt/pva/setup/downloads/linux/i386/11/4.6-1777/hints/pva-agent-vz-preUpgrade.sh:
ERROR: Virtuozzo is out of date. Please upgrade to Parallels Virtuozzo Containers 4.7

It happens because the latest build of VA Agent 4.6.3 (4.6-1777) does not support older versions of Virtuozzo containers.

The best practice is to keep your installation up-to-date and upgrade to the latest versions of Odin software.

This article describes how to install, re-install, or update VA Agent 4.6 on Virtuozzo containers for Linux 4.6 node.

For more information about VA Agent compatibility with virtualization products, refer to this article:

112297 Virtual Automation 4.6 builds, releases, and supported virtualization products

For 64-bit (x86_64) hardware nodes, follow these steps:

  1. Download full VA Agent distribution:

    wget http://download.pa.parallels.com/pva/4.6.3/downloads/linux/x86_64/pva_agent-linux-x86_64-4.6-1722.tar.gz
    

    (Use the correct link as per the list of releases .)

  2. Uncompress the archive:

    mkdir /tmp/pva_install
    tar -xvzf pva_agent-linux-x86_64-4.6-1722.tar.gz -C /tmp/pva_install
    cd /tmp/pva_install/pva_agent
    
  3. Uninstall current VA Agent:

    NOTE: This step is required for the reinstallation procedure only. Otherwise, you may skip this step.

    ./pva-setup --uninstall
    
  4. Launch PVA Agent installation:

    ./pva-setup -r local --install
    

For 32-bit (x86) hardware nodes, follow these steps:

  1. Download the full VA Agent distribution:

    wget http://download.pa.parallels.com/pva/4.6.3/downloads/linux/i386/pva_agent-linux-i386-4.6-1722.tar.gz
    

    (Use the correct link as per the list of releases .)

  2. Uncompress the archive:

    mkdir /tmp/pva_install
    tar -xvzf pva_agent-linux-i386-4.6-1722.tar.gz -C /tmp/pva_install
    cd /tmp/pva_install/pva_agent
    
  3. Uninstall the current VA Agent:

    NOTE: This step is required for the reinstallation procedure only. Otherwise, you may skip this step.

    ./pva-setup --uninstall
    
  4. Launch the VA Agent installation:

    ./pva-setup -r local --install
    

Search Words

vzpp

vps

Error Message Panel Parallels Management Console 4

yy

d02f9caf3e11b191a38179103495106f e8e50b42231236b82df27684e7ec0beb d16a8794b3bdb3f66571d469e71906a9 319940068c5fa20655215d590b7be29b 2897d76d56d2010f4e3a28f864d69223 5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 0c05f0c76fec3dd785e9feafce1099a9 ac82ce33439a9c1feec4ff4f2f638899 2554725ed606193dd9bbce21365bed4e 614fd0b754f34d5efe9627f2057b8642 36627b12981f68a16405a79233409a5e

Email subscription for changes to this article
Save as PDF